Description

Currently we store some parameters in the answers file that relate to the puppetserver version. This is because we determine them

in params.pp which means init.pp has them. The result is that when a user upgrades, their answers need to be reset. Katello has a

hook to always do this, Foreman has nothing.

By defaulting to undef and moving the the determination into server.pp we can avoid this whole problem.

Associated revisions

Revision 899bb08f - 01/11/2019 02:29 PM - Ewoud Kohl van Wijngaarden

Fixes #25839 - Determine puppetserver version in server.pp

Currently we store some parameters in the installers answers file that

relate to the puppetserver version. This is because we determine them in

params.pp which means init.pp has them. The result is that when a user

upgrades, their answers need to be reset. Katello has a hook to always

do this, Foreman has nothing.

By defaulting to undef and moving the the determination into server.pp

we can avoid this whole problem.

Revision e2318692 - 01/11/2019 03:22 PM - Ewoud Kohl van Wijngaarden

Refs #25839 - Avoid storing puppetserver related versions

Revision 86bbff5b - 01/15/2019 09:09 AM - Ewoud Kohl van Wijngaarden

Refs #25839 - Use the correct variable

Revision 11e0e174 - 01/17/2019 02:46 PM - Ewoud Kohl van Wijngaarden

Refs #25839 - Use the correct variable

History

#1 - 01/11/2019 12:11 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-puppet/pull/668 added

#2 - 01/11/2019 12:21 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/311 added
#3 - 01/11/2019 03:02 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-puppet|899bb08fd4440dbcee735ed613d2bb597b7e3b42.

#4 - 01/11/2019 03:29 PM - Ewoud Kohl van Wijngaarden

- Fixed in Releases 1.21.0 added

#5 - 01/15/2019 09:10 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/313 added

#6 - 01/17/2019 02:46 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/316 added
